
import React from 'react';
import Icon from 'react-icon-base';

const SlBulb = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M511.984 960c-198.032 0 -353.12 -161.104 -353.12 -359.136c0 -149.2 73.2803 -220.256 131.185 -272.128c37.2803 -33.4238 62.3682 -53.5518 62.3682 -78.3516v-54.2559c0 -1.3916 0.192383 -2.75195 0.368164 -4.12793h-0.719727v-92.624 c0.015625 -97.7119 63.1992 -163.376 161.071 -163.376c94.4639 0 158.944 65.6641 158.944 163.376v92.624h-0.927734c0.175781 1.37598 0.416016 2.73633 0.416016 4.12793v54.2559c0 37.7598 28.0322 60.5918 70.5283 97.6953 c57.5039 50.208 123.023 112.688 123.023 252.784c0.015625 198.032 -155.104 359.136 -353.137 359.136zM510.769 0c-59.9043 0 -94.6885 37.1523 -94.6885 99.376l-0.463867 42.6719c23.0244 -7.87207 54.3848 -14.0479 96.3848 -14.0479 c41.4238 0 72.8477 6.62402 96.0801 14.7676v-43.3916c0 -63.1523 -35.248 -99.376 -97.3125 -99.376zM700.017 396.288c-43.4717 -37.9678 -92.4326 -77.2158 -92.4326 -145.904v-40.4316c-15.1836 -8.48047 -43.1836 -18.5605 -96.1279 -18.5605 c-55.5684 0 -81.9199 9.85645 -95.0234 17.4727v41.5361c0 54.6084 -42.6885 89.2969 -83.6807 126.017c-54.3203 48.6719 -109.872 103.84 -109.872 224.464c-0.015625 162.72 126.385 295.12 289.104 295.12c162.752 0 289.152 -132.4 289.152 -295.137 c0 -111.024 -48.4639 -158.576 -101.12 -204.576z"/></g>
    </Icon>
);

export default SlBulb;
